<?php

session_start();
class Admin_Login_Controller extends CI_Controller{
    public function __construct() {
        parent::__construct();
        
         $this->load->model('admin_login_model','al_model',true);
    }
    
    public function index()
    {
        $data=array();
        $data['title']="Engreen | Admin Login";
        $this->load->view('admin_login_view',$data);
        
    }

    
    public function check_login()
    {
        $email=  $this->input->post('email',true);
        $password= $this->input->post('password',true);
        $result=  $this->al_model->check_admin_login_info($email,$password);

        if($result)
        {
            $sdata=array();
            $sdata['id']=$result->id;
            $sdata['login_status']=TRUE;
            $this->session->set_userdata($sdata);
            redirect("main");
        }
        else
        {
            $sdata=array();
            $sdata['exception']="User Id / Password Invalid";
            $this->session->set_userdata($sdata);
            redirect("admin_login_controller");
        }
    }
    
    public function admin_logout()
    {
        $this->session->unset_userdata('id');
        $this->session->unset_userdata('login_status');
        session_destroy();
        $sdata=array();
        $sdata['message']="You are successfully logged out";
        $this->session->set_userdata($sdata);
        redirect("admin_login_controller");
    }
}
